summaryrefslogtreecommitdiff
path: root/tests/chown/separator.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chown/separator.sh')
-rwxr-xr-xtests/chown/separator.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/chown/separator.sh b/tests/chown/separator.sh
index 815533036..642b00238 100755
--- a/tests/chown/separator.sh
+++ b/tests/chown/separator.sh
@@ -59,7 +59,7 @@ for u in $id_u "$id_un" ''; do
esac
for sep in $seps; do
case $u$sep$g in
- [0-9]*$sep) chown "$u$sep$g" . 2> /dev/null && fail=1 ;;
+ [0-9]*$sep) returns_ 1 chown "$u$sep$g" . 2>/dev/null || fail=1 ;;
*) chown "$u$sep$g" . || fail=1 ;;
esac
done